Package org.eclipse.birt.report.engine.api.script.element

# Interface IResultSetColumn

public interface IResultSetColumn
Represents the design of an ResultSetColumn in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumnDataType()`
Gets column data type.
`String`
`getName()`
Gets column name.
`Integer`
`getNativeDataType()`
Gets native data type.
`Integer`
`getPosition()`
Gets position.

## Method Details

### getName

String getName()
Gets column name.

Returns:
  column name

### getNativeDataType

Integer getNativeDataType()
Gets native data type.

Returns:
  native data type.

### getPosition

Integer getPosition()
Gets position.

Returns:
  position

### getColumnDataType

String getColumnDataType()
Gets column data type.

Returns:
  column data type.